## galette 0.8+dfsg

=== galette/docs/Makefile ===
# 
# Génération de la doc de reference à partir
# des source (docblocs)
#

INI	   = phpDocumentor.ini


all:	html

html:
	phpdoc -c ${INI}

=== galette/lang/Makefile ===
.SUFFIXES = .mo .po
INSTALLDIR = .
LANGUAGES = en_US fr_FR.utf8
PACKAGE = galette
MKLANG = ./make_lang_l12n.py
PHP_SOURCES = $(shell find ../ -maxdepth 1 -name \*.php) \
              $(shell find ../lib/Galette -name \*.php) \
              $(shell find ../includes -maxdepth 1 -name \*.php) \
              $(shell find ../includes/fields_defs -name \*.php) \
              $(shell find ../install -name \*.php) \
              $(shell find ../public -name \*.php) \
              $(shell find ../templates -name \*.tpl)


all : messages.po lang
	@echo "Génération des fichiers *.po :"
	@for l in ${LANGUAGES}; do \
	  echo -n "  Mise à jour de $$l.po"; \
	  msgmerge -U $$l.po messages.po >/dev/null ; \
	  mkdir -p ${INSTALLDIR}/$$l/LC_MESSAGES; \
	  echo "    formatage de ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo."; \
	  msgfmt $$l.po -o ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo.new; \
	  if diff -qI 'PO-Revision-Date:.*' ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo.new ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo > /dev/null; then \
	    echo "    ${PACKAGE}.mo non mis à jour."; \
	    rm ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo.new; \
	  else \
	    echo "    ${PACKAGE}.mo mis à jour."; \
	    mv ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo.new ${INSTALLDIR}/$$l/LC_MESSAGES/${PACKAGE}.mo; \
	  fi; \
	done


lang :
	@echo "Génération des fichiers lang_*.php"
	@echo "  Mise à jour de lang_english.php"
	@echo "    extraction des chaines..."
	@${MKLANG} en_US.po lang_english.php.new
	@if diff -qI 'This file was automatically generated.*' lang_english.php lang_english.php.new > /dev/null; then \
	  echo "    lang_english.php non mis à jour."; \
	  rm lang_english.php.new; \
	else \
	  echo "    lang_english.php mis à jour."; \
	  mv lang_english.php.new lang_english.php; \
	fi;

	@echo "  Mise à jour de lang_french.php"
	@echo "    extraction des chaines..."
	@${MKLANG} fr_FR.utf8.po lang_french.php.new
	@if diff -qI 'This file was automatically generated.*' lang_french.php lang_french.php.new > /dev/null; then \
	  echo "    lang_french.php non mis à jour."; \
	  rm lang_french.php.new; \
	else \
	  echo "    lang_french.php mis à jour."; \
	  mv lang_french.php.new lang_french.php; \
	fi;

messages.po : ${PHP_SOURCES} Makefile xgettext.py
	./xgettext.py ${PHP_SOURCES}

check:
	@for FILE in ${PHP_SOURCES}; do				\
		test -f $$FILE || echo "Not found $$FILE";	\
	done
	@for NFILE in ../*.php ../includes/*.php		\
			../templates/default/*.tpl; do		\
		for OFILE in ${PHP_SOURCES}; do			\
			if [ "$$NFILE" = "$$OFILE" ]; then	\
				unset NFILE;			\
				break;				\
			fi;					\
		done;						\
		test -z "$$NFILE" || echo "Missing $$NFILE";	\
	done

## galette 0.7.8+dfsg

=== debian/changelog ===
galette (0.7.8+dfsg-1) unstable; urgency=medium

  * Suppressed tcpdf/include/sRGB from source and package (Closes:
    #753758)
  * Updated Standards-Version
  * Moved missing-sources/* files in proper directories to help (not so)
    clever lintian finding them (Closes: #744703)

 -- François-Régis Vuillemin <frv-debian@miradou.com>  Thu, 09 Oct 2014 19:42:52 +0200

galette (0.7.8-1) unstable; urgency=medium

  * New maintainer & Updating Standards-Version
  * Imported Upstream version 0.7.8
  * Update local_paths.inc.php with new GALETTE_ATTACHMENTS_PATH.

 -- François-Régis Vuillemin <frv-debian@miradou.com>  Thu, 06 Feb 2014 11:21:43 +0100

galette (0.7.6.1-2) unstable; urgency=low

  * Update local_paths.inc.php with new GALETTE_IMPORTS_PATH and setup
    the path with write rights to the webserver.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 05 Nov 2013 10:00:04 +0100

galette (0.7.6.1-1) unstable; urgency=low

  * New upstream version.
  * Fix /etc/cron.daily/galette to not fail when galette and/or php5 is
    uninstalled. Detected by piuparts. Closes: #722464
  * Remove sources from debian/missing-sources/ for files that have been
    removed upstream.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 05 Nov 2013 09:30:12 +0100

galette (0.7.5.1-2) unstable; urgency=low

  * Update copyright file to document files in includes/*.
  * Included non-minified javascript files in debian/missing-sources/.
  * Switch to XZ compression to reduce size of debian.tar file.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 06 Sep 2013 23:17:34 +0200

galette (0.7.5.1-1) unstable; urgency=low

  * New upstream version.
  * Keep jquery & jquery ui provided by Galette.
  * Silence PHP notices in cron.
  * Drop debian/patches/fix-php-shebang, merged upstream.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 27 Aug 2013 15:57:35 +0200

galette (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * Drop GALETTE_UNSECURE_PASSWORDS and increase dependencies to
    require Wheezy's PHP. Disable usage of
    debian/patches/update-php-minversion accordingly.
  * Add an /etc/cron.daily/galette scripts to send the mails
    asking renewals of membership. Add the corresponding php5-cli
    dependency.
  * Fix shebang of galette/post_contribution_test.php with
    debian/patches/fix-php-shebang. 
  * Fix URL of Git repository.
  * Configure galette to use FHS compliant paths.
  * Replace 4 embedded libraries by their packaged versions.
  * Update package to be compatible with apache 2.4
  * Drop compat symlinks in /usr/share/galette now that galette use the
    correct paths.
  * Improve description
  * Restore the /usr/share/galette/config symlink and deny access to it.
  * Replace embedded javascript libraries with dh_linktree.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 21 Aug 2013 11:11:05 +0200

galette (0.7.4.5-1) unstable; urgency=low

  * New upstream release.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 10 Jul 2013 23:04:42 +0200

galette (0.7.4.2-1) unstable; urgency=low

  * New upsream release.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 12 Jun 2013 12:37:59 +0200

galette (0.7.4.1-1) unstable; urgency=low

  * New upstream release.
  * Add /etc/galette/behavior.inc.php to enable
    GALETTE_UNSECURE_PASSWORDS because Squeeze's php-bcrypt doesn't have
    the required support.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 02 May 2013 18:56:08 +0200

galette (0.7.4-1) unstable; urgency=low

  * Initial release.
  * Add debian/patches/update-php-minversion to make galette work
    on php 5.3.3 of Debian Squeeze.
  * Install /etc/apache2/conf.d/galette.conf.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 04 Mar 2013 21:21:34 +0100

=== debian/control ===
Source: galette
Section: web
Priority: optional
Maintainer: François-Régis Vuillemin <frv-debian@miradou.com>
Uploaders: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 9), dh-linktree, libjs-jquery, libjs-jquery-ui, libjs-jquery-cookie
Standards-Version: 3.9.6
Homepage: http://galette.eu/
Vcs-Git: git://anonscm.debian.org/collab-maint/galette.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/galette.git;a=summary

Package: galette
Architecture: all
Depends: php5-cli, libapache2-mod-php5 (>= 5.4), apache2 | httpd,
 php5-curl, php5-gd, php5-tidy, php5-mcrypt, php5-pgsql | php5-mysql | php5-sqlite,
# PHP libraries
 zendframework (>= 1.11), libphp-phpmailer (>= 5.1), smarty3 (>= 3.1), php-tcpdf (>= 6.0.020),
 ${misc:Depends}
Recommends: php-gettext, postgresql
Description: Membership and subscription management for associations
 Galette is a web application for French-speaking associations that
 want to manage their list of members online. The main features
 are:
  - subscription renewal
  - personal profile for each member
  - mailing of membership
  - tracking of (financial) contributions (with generation of receipts/invoices)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with linktree

override_dh_install:
	dh_install
	# Drop directories which have been moved to FHS compliant paths
	for dir in cache exports imports logs photos tempimages templates_c; do \
		rm -rf debian/galette/usr/share/galette/$$dir; \
	done
	# Move config to /etc
	mv debian/galette/usr/share/galette/config/* debian/galette/etc/galette/
	rmdir debian/galette/usr/share/galette/config
	# Drop documentation installed in /usr/share/doc
	rm -rf debian/galette/usr/share/galette/docs
	# Drop embedded libraries that we don't need
	rm -rf debian/galette/usr/share/galette/includes/Zend-*
	rm -rf debian/galette/usr/share/galette/includes/phpMailer-*
	rm -rf debian/galette/usr/share/galette/includes/Smarty-*
	rm -rf debian/galette/usr/share/galette/includes/tcpdf_*
	# Cleanup useless stuff
	rm -rf debian/galette/usr/share/galette/lang/*.py

override_dh_fixperms:
	dh_fixperms
	chown www-data debian/galette/var/log/galette
	chown www-data debian/galette/var/cache/galette/cache
	chown www-data debian/galette/var/cache/galette/tempimages
	chown www-data debian/galette/var/cache/galette/templates_c
	chown www-data debian/galette/var/lib/galette/exports
	chown www-data debian/galette/var/lib/galette/imports
	chown www-data debian/galette/var/lib/galette/photos
	chown www-data debian/galette/var/lib/galette/attachments/

override_dh_installchangelogs:
	dh_installchangelogs galette/docs/CHANGES

## galette 0.8%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: galette
 Section: web
 Priority: optional
-Maintainer: François-Régis Vuillemin <frv-debian@miradou.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: François-Régis Vuillemin <frv-debian@miradou.com>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
 Build-Depends: debhelper (>= 9), dh-linktree, libjs-jquery, libjs-jquery-ui, libjs-jquery-cookie
 Standards-Version: 3.9.6
@@ -11,11 +12,11 @@
 
 Package: galette
 Architecture: all
-Depends: php5-cli, libapache2-mod-php5 (>= 5.4), apache2 | httpd,
- php5-curl, php5-gd, php5-tidy, php5-mcrypt, php5-pgsql | php5-mysql | php5-sqlite,
+Depends: php-cli, libapache2-mod-php (>= 5.4), apache2 | httpd,
+ php-curl, php-gd, php-tidy, php-mcrypt, php-pgsql | php-mysql | php-sqlite,
 # PHP libraries
- zendframework (>= 1.11), libphp-phpmailer (>= 5.1), smarty3 (>= 3.1), php-tcpdf (>= 6.0.020),
- ${misc:Depends}
+ libphp-phpmailer (>= 5.1), smarty3 (>= 3.1), php-tcpdf (>= 6.0.020),
+ php-analog, ${misc:Depends}
 Recommends: php-gettext, postgresql
 Description: Membership and subscription management for associations
  Galette is a web application for French-speaking associations that

## galette 0.8+dfsg

=== debian/changelog ===
galette (0.8+dfsg-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1544352).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 23 Mar 2016 15:48:13 -0700

galette (0.8+dfsg-1) unstable; urgency=medium

  * Generalized Files-Excluded in prevision of upstream/0.8
  * Don't rely on phpmailer to act as an autoloader (Closes: #763082)
  * Imported Upstream version 0.8+dfsg
  * Uses embeded Zend as V2 of DB component is not packaged in debian
  * Add 'files' dir to support files type dynamic fields
  * Use existing php-analog debian package
  * Update copyright comments, holders and dates

 -- François-Régis Vuillemin <frv-debian@miradou.com>  Wed, 15 Oct 2014 20:12:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,10 @@
 	# Drop documentation installed in /usr/share/doc
 	rm -rf debian/galette/usr/share/galette/docs
 	# Drop embedded libraries that we don't need
-	rm -rf debian/galette/usr/share/galette/includes/Zend-*
 	rm -rf debian/galette/usr/share/galette/includes/phpMailer-*
 	rm -rf debian/galette/usr/share/galette/includes/Smarty-*
 	rm -rf debian/galette/usr/share/galette/includes/tcpdf_*
+	rm -rf debian/galette/usr/share/galette/includes/Analog-*
 	# Cleanup useless stuff
 	rm -rf debian/galette/usr/share/galette/lang/*.py
 
@@ -32,6 +32,7 @@
 	chown www-data debian/galette/var/lib/galette/imports
 	chown www-data debian/galette/var/lib/galette/photos
 	chown www-data debian/galette/var/lib/galette/attachments/
+	chown www-data debian/galette/var/lib/galette/files/
 
 override_dh_installchangelogs:
 	dh_installchangelogs galette/docs/CHANGES

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$// http://download.tuxfamily.org/galette/ \
galette-([\d\.]+)\.tar\.bz2
